<?php
    $primary_color = sanitize_hex_color( get_theme_mod( 'gridchamp_primary_color', '#04a06e' ) );
	$secondary_color = sanitize_hex_color( get_theme_mod( 'gridchamp_secondary_color', '#ff9800' ) );
    $text_color = sanitize_hex_color( get_theme_mod( 'gridchamp_text_color', '#727272' ) );
    $dark_color = sanitize_hex_color( get_theme_mod( 'gridchamp_dark_color', '#000000' ) );
    $light_color = sanitize_hex_color( get_theme_mod( 'gridchamp_light_color', '#ffffff' ) );

    $brands_bg_color = sanitize_hex_color(get_theme_mod('brand_section_bg_color','#f2fbfc'));
    $brands_text_color = sanitize_hex_color(get_theme_mod('brand_section_text_color','#727272'));
    $brands_heading_color = sanitize_hex_color(get_theme_mod('brand_section_heading_color','#000000'));

    $pricing_section_bg_color = sanitize_hex_color(get_theme_mod('pricing_table_bg_color','#f2fbfc'));
    $pricing_section_heading_color = sanitize_hex_color(get_theme_mod('pricing_table_header_color','#000000'));
    $pricing_section_text_color = sanitize_hex_color(get_theme_mod('pricing_table_text_color','#727272'));

    $counter_bg_color = sanitize_hex_color(get_theme_mod('gridchamp_counter_bg_color','#f2fbfc'));
    $counter_heading_color = sanitize_hex_color(get_theme_mod('gridchamp_counter_heading_color','#000000'));
    $counter_text_color = sanitize_hex_color(get_theme_mod('gridchamp_counter_text_color','#727272'));

    $team_bg_color = sanitize_hex_color(get_theme_mod('teams_bg_color','#f2fbfc'));
    $team_heading_color = sanitize_hex_color(get_theme_mod('teams_heading_color','#000000'));
    $team_text_color = sanitize_hex_color(get_theme_mod('teams_text_color','#727272'));

    if(get_theme_mod( 'gridchamp_link_color')){
        $link_color = sanitize_hex_color( get_theme_mod( 'gridchamp_link_color', '#04a06e' ) );
    } else{
        $link_color = $primary_color;
    }
    $gridchamp_contain_width = absint(get_theme_mod('gridchamp_container_width','1180'));
    if(get_theme_mod( 'gridchamp_link_hover_color')){
        $link_hover_color = sanitize_hex_color( get_theme_mod( 'gridchamp_link_hover_color', '#ff9800' ) );
    } else{
        $link_hover_color = $secondary_color;
    }
    if(gridchamp_set_to_premium()){
        if(get_theme_mod( 'gridchamp_footer_bg_color')){
            $footer_widgets_bg = sanitize_hex_color(get_theme_mod( 'gridchamp_footer_bg_color','#232323'));
        }else{
            $footer_widgets_bg = $primary_color;   
         }
    }else{
         $footer_widgets_bg = $primary_color;
    }
    if(gridchamp_set_to_premium()){
        if(get_theme_mod('gridchamp_footer_text_color')){
            $footer_widget_text_color = sanitize_hex_color(get_theme_mod('gridchamp_footer_text_color'));
        }else{
            $footer_widget_text_color = $light_color;
        }
    }else{
        $footer_widget_text_color = $light_color;
    }
    if(gridchamp_set_to_premium()){
        if(get_theme_mod( 'gridchamp_footer_link_color')){
            $footer_link_color = sanitize_hex_color(get_theme_mod( 'gridchamp_footer_link_color','#04a06e'));
        }else{
            $footer_link_color = $light_color;
        }
    }else{
         $footer_link_color = $light_color;
    }
    if(gridchamp_set_to_premium()){
        if(get_theme_mod( 'gridchamp_footer_link_hover_color')){
            $footer_link__hover_color = sanitize_hex_color(get_theme_mod( 'gridchamp_footer_link_hover_color','#ff9800'));
        }else{
            $footer_link__hover_color = $secondary_color;
        }
    }else{
        $footer_link__hover_color = $secondary_color;
    }
    if(gridchamp_set_to_premium()){
        if(get_theme_mod('site_stikcy_menu_option')){
            $sticky_class_attr='fixed';
            $sticky_bg_color ='#fff';
        }else{
            $sticky_class_attr='relative';
            $sticky_bg_color ='transparent';
        } 
    }else{
        $sticky_class_attr='relative';
        $sticky_bg_color ='transparent';
    }

    $subheader_bg_color = sanitize_hex_color(get_theme_mod('subheader_bg_color','#04a06e'));
    $subheader_text_color = sanitize_hex_color(get_theme_mod('subheader_text_color','#ffffff'));
    $breadcrumbs_link_color = sanitize_hex_color(get_theme_mod('breadcrumbs_link_color','#ffffff'));
    $breadcrumbs_link_hover_color = sanitize_hex_color(get_theme_mod('breadcrumbs_link_hover_color','#565656'));
    if(get_theme_mod('cta_bg_color')){
        $cta_background_color = sanitize_hex_color(get_theme_mod('cta_bg_color','#04a06e'));
    }else{
        $cta_background_color=$primary_color;
    }
    if(get_theme_mod('cta_text_color')){
        $gridchamp_cta_color = sanitize_hex_color(get_theme_mod('cta_text_color','#ffffff'));
    }else{
        $gridchamp_cta_color= $light_color;
    }
    if(get_theme_mod('notification_bg_color')){
        $noticebar_background = sanitize_hex_color(get_theme_mod('notification_bg_color'));
    }else{
        $noticebar_background=$primary_color;
    }
    if(get_theme_mod('notification_text_color')){
        $noticebar_text_color = sanitize_hex_color(get_theme_mod('notification_text_color'));
    }else{
        $noticebar_text_color = $light_color;
    }
    if(get_theme_mod('notification_button_text_color')){
        $noticebar_btn_color = sanitize_hex_color(get_theme_mod('notification_button_text_color'));
    }else{
        $noticebar_btn_color = $light_color;
    }
    if(get_theme_mod('notification_button_text_hover_color')){
        $noticebar_btn_hover_color = sanitize_hex_color(get_theme_mod('notification_button_text_hover_color'));
    }else{
        $noticebar_btn_hover_color = $secondary_color;
    }
    if(gridchamp_set_to_premium()){
        if(get_theme_mod('gridchamp_btns_radius')){
            $site_btns_radius = absint(get_theme_mod('gridchamp_btns_radius'))-1;
        }
        else{
            $site_btns_radius = 40;
        }
    }else{
        $site_btns_radius = 40;
    }
    if(get_theme_mod('gridchamp_slider_backgroud')){
        $slider_bg_color = sanitize_hex_color(get_theme_mod('gridchamp_slider_backgroud'));
    }else{
        $slider_bg_color = '#000000';
    }

    if(get_theme_mod('gridchamp_slider_text_color')){
        $slider_text_color = sanitize_hex_color(get_theme_mod('gridchamp_slider_text_color'));
    }else{
        $slider_text_color = $light_color;
    }

    $slider_image_opacity= get_theme_mod('banner_image_opacity');
    $footer_background_opacity = get_theme_mod('footer_bg_opacity','1');
    $copyright_background_opacity = get_theme_mod('copyright_bg_opacity','1');
    if(get_theme_mod('gridchamp_about_bg_color')){
        $about_bg_color = sanitize_hex_color(get_theme_mod('gridchamp_about_bg_color'));
    }else{
        $about_bg_color = '#f2fbfc';  
    }
    if(get_theme_mod('gridchamp_about_text_color')){
        $about_text_color = sanitize_hex_color(get_theme_mod('gridchamp_about_text_color'));
    }else{
        $about_text_color = '#727272';
    }
    $about_heading_color= sanitize_hex_color(get_theme_mod('gridchamp_about_heading_color','#000000'));
    $site_font = esc_attr(get_theme_mod('gridchamp_body_fonts','Montserrat'));
    if(gridchamp_set_to_premium()){
        $copyright_background_color = sanitize_hex_color(get_theme_mod('gridchamp_footer_bottom_color','#000000'));
    }else{
        $copyright_background_color='#000000';
    }
    if(gridchamp_set_to_premium()){
        $copright_text_color = sanitize_hex_color(get_theme_mod('gridchamp_copyright_text_color','#ffffff'));
    }else{
         $copright_text_color='#ffffff';
    }
    
    $slider_primary_color= sanitize_hex_color(get_theme_mod('slider_primary_btn_color','#ffffff'));
    $slider_primary_hover_color= sanitize_hex_color(get_theme_mod('slider_primary_btn_hover_color','#04a06e'));
    $slider_secondary_color= sanitize_hex_color(get_theme_mod('slider_secondary_btn_color','#ff9800'));
    $slider_secondary_hover_color= sanitize_hex_color(get_theme_mod('slider_secondary_btn_hover_color','#ffffff'));

    if(gridchamp_set_to_premium()){
        $footer_space_top = absint(get_theme_mod('gridchamp_copyright_section_padding_top','15'));
        $footer_space_bottom = absint(get_theme_mod('gridchamp_copyright_section_padding_bottom','15'));
    }else{
        $footer_space_top = 15;
        $footer_space_bottom = 15;
    }

    $about_space_top = absint(get_theme_mod('gridchamp_about_section_padding_top','50'));
    $about_space_bottom = absint(get_theme_mod('gridchamp_about_section_padding_bottom','50'));
    $service_space_top = absint(get_theme_mod('gridchamp_service_section_padding_top','50'));
    $service_space_bottom = absint(get_theme_mod('gridchamp_service_section_padding_bottom','50'));

    $cta_space_top = absint(get_theme_mod('gridchamp_cta_section_padding_top','100'));
    $cta_space_bottom = absint(get_theme_mod('gridchamp_cta_section_padding_bottom','100'));

    $recentblog_space_top = absint(get_theme_mod('gridchamp_recentpost_section_padding_top','50'));
    $recentblog_space_bottom = absint(get_theme_mod('gridchamp_recentpost_section_padding_bottom','50'));
   
    $testimonial_space_top = absint(get_theme_mod('gridchamp_testimonial_section_padding_top','50'));
    $testimonial_space_bottom = absint(get_theme_mod('gridchamp_testimonial_section_padding_bottom','50'));

    $team_space_top = absint(get_theme_mod('gridchamp_team_section_padding_top','50'));
    $team_space_bottom = absint(get_theme_mod('gridchamp_team_section_padding_bottom','50'));

    $portfolio_space_top = absint(get_theme_mod('gridchamp_portfolio_section_padding_top','50'));
    $portfolio_space_bottom = absint(get_theme_mod('gridchamp_portfolio_section_padding_bottom','50'));

    $features_space_top = absint(get_theme_mod('gridchamp_featured_section_padding_top','50'));
    $features_space_bottom = absint(get_theme_mod('gridchamp_featured_section_padding_bottom','50'));

    $faq_space_top = absint(get_theme_mod('gridchamp_faq_section_padding_top','50'));
    $faq_space_bottom = absint(get_theme_mod('gridchamp_faq_section_padding_bottom','50'));

    $brands_space_top = absint(get_theme_mod('gridchamp_brands_section_padding_top','50'));
    $brands_space_bottom = absint(get_theme_mod('gridchamp_brands_section_padding_bottom','50'));

    $products_space_top = absint(get_theme_mod('gridchamp_product_section_padding_top','50'));
    $products_space_bottom = absint(get_theme_mod('gridchamp_product_section_padding_bottom','50'));

    $extra_cta_space_top = absint(get_theme_mod('gridchamp_extra_cta_section_padding_top','70'));
    $extra_cta_space_bottom = absint(get_theme_mod('gridchamp_extra_cta_section_padding_bottom','70'));

    $counter_space_top = absint(get_theme_mod('gridchamp_counter_section_padding_top','70'));
    $counter_space_bottom = absint(get_theme_mod('gridchamp_counter_section_padding_bottom','70'));

    $newsleter_space_top = absint(get_theme_mod('gridchamp_newsletter_section_padding_top','100'));
    $newsleter_space_bottom = absint(get_theme_mod('gridchamp_newsletter_section_padding_bottom','100'));

    $inner_subheader_space_top = absint(get_theme_mod('gridchamp_sub_header_padding_top','20'));
    $inner_subheader_space_bottom = absint(get_theme_mod('gridchamp_sub_header_padding_bottom','20'));

    $pricing_section_space_top = absint(get_theme_mod('gridchamp_pricing_section_padding_top','50'));
    $pricing_section_space_bottom = absint(get_theme_mod('gridchamp_pricing_section_padding_bottom','50'));


    $features_bg_color = sanitize_hex_color(get_theme_mod('features_bg_color','#f2fbfc'));
    $features_text_color = sanitize_hex_color(get_theme_mod('features_text_color','#727272'));
    $features_heading_color = sanitize_hex_color(get_theme_mod('features_heading_color','#000000'));
    if( $site_font ){
        switch ( $site_font) {
            case "Source Sans Pro:400,700,400italic,700italic":
                $site_font = 'Source Sans Pro';
            break;

            case "Open Sans:400italic,700italic,400,700":
                $site_font = 'Open Sans';
            break;

            case "Oswald:400,700":
                $site_font = 'Oswald';
            break;

            case "Montserrat:400,700":
                $site_font = 'Montserrat';
            break;

            case "Playfair Display:400,700,400italic":
                $site_font = 'Playfair Display';
            break;

            case "Raleway:400,700":
                $site_font = 'Raleway';
            break;

            case "Raleway:400,700":
                $site_font = 'Raleway';
            break;

            case "Droid Sans:400,700":
                $site_font = 'Droid Sans';
            break;

            case "Lato:400,700,400italic,700italic":
                $site_font = 'Lato';
            break;

            case "Arvo:400,700,400italic,700italic":
                $site_font = 'Arvo';
            break;

            case "Lora:400,700,400italic,700italic":
                $site_font = 'Lora';
            break;

            case "Merriweather:400,300italic,300,400italic,700,700italic":
                $site_font = 'Merriweather';
            break;

            case "Oxygen:400,300,700":
                $site_font = 'Oxygen';
            break;

            case "PT Serif:400,700' => 'PT Serif":
                $site_font = 'PT Serif';
            break;

            case "PT Sans:400,700,400italic,700italic":
                $site_font = 'PT Sans';
            break;

            case "PT Sans Narrow:400,700":
                $site_font = 'PT Sans Narrow';
            break;

            case "Cabin:400,700,400italic":
                $site_font = 'Cabin';
            break;

            case "Fjalla One:400":
                $site_font = 'Fjalla One';
            break;

            case "Francois One:400":
                $site_font = 'Francois One';
            break;

            case "Josefin Sans:400,300,600,700":
                $site_font = 'Josefin Sans';
            break;

            case "Libre Baskerville:400,400italic,700":
                $site_font = 'Libre Baskerville';
            break;

            case "Arimo:400,700,400italic,700italic":
                $site_font = 'Arimo';
            break;

            case "Ubuntu:400,700,400italic,700italic":
                $site_font = 'Ubuntu';
            break;

            case "Bitter:400,700,400italic":
                $site_font = 'Bitter';
            break;

            case "Droid Serif:400,700,400italic,700italic":
                $site_font = 'Droid Serif';
            break;

            case "Roboto:400,400italic,700,700italic":
                $site_font = 'Roboto';
            break;

            case "Open Sans Condensed:700,300italic,300":
                $site_font = 'Open Sans Condensed';
            break;

            case "Roboto Condensed:400italic,700italic,400,700":
                $site_font = 'Roboto Condensed';
            break;

            case "Roboto Slab:400,700":
                $site_font = 'Roboto Slab';
            break;

            case "Yanone Kaffeesatz:400,700":
                $site_font = 'Yanone Kaffeesatz';
            break;

            case "Rokkitt:400":
                $site_font = 'Rokkitt';
            break;

            case "Staatliches":
                $site_font = 'Staatliches';
            break;
            case "Poppins:wght@100;200;300;400;500;700":
                $site_font = 'Poppins';
            break;
            case "Abel":
                $site_font = 'Abel';
            break;
            case "Prata":
                $site_font ='Prata';
            break;
            case "Heebo:wght@100;200;300;400;500;700":
                $site_font ='Heebo';
            break;
            case "Quicksand:wght@300;400;500;600;700":
                $site_font ='Quicksand';
            break;

            default:
                $site_font = 'Heebo';
        }
    }else{
        $site_font = 'Heebo';
    }

    $heading_font = esc_attr(get_theme_mod('gridchamp_heading_fonts','Montserrat'));
    if( $heading_font ){
        switch ( $heading_font) {
            case "Source Sans Pro:400,700,400italic,700italic":
                $heading_font = 'Source Sans Pro';
            break;

            case "Open Sans:400italic,700italic,400,700":
                $heading_font = 'Open Sans';
            break;

            case "Oswald:400,700":
                $heading_font = 'Oswald';
            break;

            case "Montserrat:400,700":
                $heading_font = 'Montserrat';
            break;

            case "Playfair Display:400,700,400italic":
                $heading_font = 'Playfair Display';
            break;

            case "Raleway:400,700":
                $heading_font = 'Raleway';
            break;

            case "Raleway:400,700":
                $heading_font = 'Raleway';
            break;

            case "Droid Sans:400,700":
                $heading_font = 'Droid Sans';
            break;

            case "Lato:400,700,400italic,700italic":
                $heading_font = 'Lato';
            break;

            case "Arvo:400,700,400italic,700italic":
                $heading_font = 'Arvo';
            break;

            case "Lora:400,700,400italic,700italic":
                $heading_font = 'Lora';
            break;

            case "Merriweather:400,300italic,300,400italic,700,700italic":
                $heading_font = 'Merriweather';
            break;

            case "Oxygen:400,300,700":
                $heading_font = 'Oxygen';
            break;

            case "PT Serif:400,700' => 'PT Serif":
                $heading_font = 'PT Serif';
            break;

            case "PT Sans:400,700,400italic,700italic":
                $heading_font = 'PT Sans';
            break;

            case "PT Sans Narrow:400,700":
                $heading_font = 'PT Sans Narrow';
            break;

            case "Cabin:400,700,400italic":
                $heading_font = 'Cabin';
            break;

            case "Fjalla One:400":
                $heading_font = 'Fjalla One';
            break;

            case "Francois One:400":
                $heading_font = 'Francois One';
            break;

            case "Josefin Sans:400,300,600,700":
                $heading_font = 'Josefin Sans';
            break;

            case "Libre Baskerville:400,400italic,700":
                $heading_font = 'Libre Baskerville';
            break;

            case "Arimo:400,700,400italic,700italic":
                $heading_font = 'Arimo';
            break;

            case "Ubuntu:400,700,400italic,700italic":
                $heading_font = 'Ubuntu';
            break;

            case "Bitter:400,700,400italic":
                $heading_font = 'Bitter';
            break;

            case "Droid Serif:400,700,400italic,700italic":
                $heading_font = 'Droid Serif';
            break;

            case "Roboto:400,400italic,700,700italic":
                $heading_font = 'Roboto';
            break;

            case "Open Sans Condensed:700,300italic,300":
                $heading_font = 'Open Sans Condensed';
            break;

            case "Roboto Condensed:400italic,700italic,400,700":
                $heading_font = 'Roboto Condensed';
            break;

            case "Roboto Slab:400,700":
                $heading_font = 'Roboto Slab';
            break;

            case "Yanone Kaffeesatz:400,700":
                $heading_font = 'Yanone Kaffeesatz';
            break;

            case "Rokkitt:400":
                $heading_font = 'Rokkitt';
            break;

            case "Staatliches":
                $heading_font = 'Staatliches';
            break;
            case "Poppins:wght@100;200;300;400;500;700":
                $heading_font = 'Poppins';
            break;
            case "Abel":
                $heading_font = 'Abel';
            break;
            case "Prata":
                $heading_font ='Prata';
            break;
            case "Heebo:wght@100;200;300;400;500;700":
                $heading_font ='Heebo';
            break;
            case "Quicksand:wght@300;400;500;600;700":
                $heading_font ='Quicksand';
            break;

            default:
                $heading_font = 'Roboto';
        }
    }else{
        $heading_font = 'Roboto';
    }
    

    $site_font_size = absint(get_theme_mod('gridchamo_font_size','16'));


    $heading_font_one = absint(get_theme_mod('gridchamo_heading_one_size','48'));
    $heading_font_two = absint(get_theme_mod('gridchamo_heading_two_size','36'));
    $heading_font_three = absint(get_theme_mod('gridchamo_heading_three_size','24'));
    $heading_font_four = absint(get_theme_mod('gridchamo_heading_four_size','20'));
    $heading_font_five = absint(get_theme_mod('gridchamo_heading_five_size','16'));
    $heading_font_six = absint(get_theme_mod('gridchamo_heading_six_size','14'));

    $inner_subheader_font_size = absint(get_theme_mod('sub_header_font_size','40'));
    
?>
<style type="text/css">
    :root{
        --primary-color: <?php echo $primary_color;?>;
        --secondary-color: <?php echo $secondary_color;?>;
        --text-color:<?php echo $text_color;?>;
        --dark-color:<?php echo $dark_color;?>;
        --light-color:<?php echo $light_color;?>;
        --link-color:<?php echo $link_color;?>;
        --link-hover-color:<?php echo $link_hover_color;?>;
    }

    body{
        font-family: '<?php echo $site_font;?>',sans-serif;
        font-size: <?php echo $site_font_size;?>px;
        color: var(--text-color);
    }
    
   
    h1, h2, h3, h4, h5,h6{
        font-family: '<?php echo $heading_font;?>',sans-serif;
    }
    h1{
        font-size: <?php echo $heading_font_one;?>px;
    }
    h2{
        font-size: <?php echo $heading_font_two;?>px;
    }
    h3{
        font-size: <?php echo $heading_font_three;?>px;
    }
    h4{
        font-size: <?php echo $heading_font_four;?>px;
    }
    h5{
        font-size: <?php echo $heading_font_five;?>px;
    }
    h6{
        font-size: <?php echo $heading_font_six;?>px;
    }
    .inner-page-subheader {
        background: <?php echo $subheader_bg_color;?>;
        color:<?php echo $subheader_text_color;?>;
    }
    .gridchamp-breadcrumbs nav ul li a {
        color:<?php echo $breadcrumbs_link_color;?>;
    }
    .gridchamp-breadcrumbs nav ul li a:hover {
        color:<?php echo $breadcrumbs_link_hover_color;?>;
    }

    .walker-wraper.footer-widgets-wraper{
        
        color: <?php echo $footer_widget_text_color;?>;
    }
    .walker-wraper.footer-widgets-wraper:before {
        content: '';
        width: 100%;
        height: 100%;
        position: absolute;
        left: 0;
        top: 0;
        background: <?php echo $footer_widgets_bg;?>;
        opacity: <?php echo $footer_background_opacity;?>;
    }
    .walker-wraper.footer-widgets-wraper h3{
         color: <?php echo $footer_widget_text_color;?>;
    }
    .site-footer a,
    .site-footer .layout-two.gridchamp-footer-widget a.gridchamp-top{
        color :<?php echo $footer_link_color;?>;
    }
    .site-footer .layout-two.gridchamp-footer-widget a.gridchamp-top:before{
        background: <?php echo $footer_link_color;?>;
    }
    .site-footer a:hover,
    .site-footer .layout-two.gridchamp-footer-widget a.gridchamp-top:hover{
        color :<?php echo $footer_link__hover_color;?>;
    }
    .site-footer .layout-two.gridchamp-footer-widget a.gridchamp-top:hover:before{
        background: <?php echo $footer_link__hover_color;?>;
    }
    .cta-wraper .walker-container:before {
        background: <?php echo $cta_background_color;?>;
    }
    .cta-wraper .cta-box,
    .cta-wraper .section-heading,
    .cta-wraper .cta-box h4{
        color: <?php echo $gridchamp_cta_color;?>;
    }
    .cta-wraper .cta-box a.gridchamp-secondary-button{
        background: <?php echo $gridchamp_cta_color;?>;
        color: <?php echo $cta_background_color;?>;
    }
    .walker-wraper.top-notification-bar{
        background: <?php echo $noticebar_background;?>;
        color: <?php echo $noticebar_text_color;?>;
    }
    a.noticebar-button{
        color: <?php echo $noticebar_btn_color;?>;
    }
    a.noticebar-button:hover{
        color: <?php echo $noticebar_btn_hover_color;?>;
    }
    .gridchamp-primary-button,
    .gridchamp-secondary-button,
    a.gridchamp-primary-button,
    a.gridchamp-secondary-button,
    .woocommerce-product-section ul.woo-products li a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart,
    .woocommerce a.add_to_cart_button, 
    .woocommerce.single div.product form.cart .button, 
    .woocommerce ul.products li.product .button,
    .woocommerce-product-section .woo-products li a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart, 
    .woocommerce-product-section .woo-products .swiper-slide a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart,
    .walkerwp-pricing-table .package-footer a,
    .filter-buttons button{
        border-radius: <?php echo $site_btns_radius.'px';?>;
    }
    .walker-wraper.banner-wraper,
    .walker-wraper.slider-wraper{
        background: <?php echo $slider_bg_color;?>;
    }
    .banner-overlay, 
    .slide-content,
    .banner-overlay h1, 
    .slide-content h1{
        color: <?php echo $slider_text_color;?>;
    }
    .walker-container{
        max-width: <?php echo  $gridchamp_contain_width.'px';?>;
    }
    .banner-wraper img,
    .walkerwp-slider-box .slide-image img{
        opacity: <?php echo $slider_image_opacity; ?>;
    }
    <?php if(gridchamp_set_to_premium() && get_theme_mod('site_stikcy_menu_option')){?>
        .active-sticky,
        .walker-wraper.header-layout-1.no-gap.transparent-header.active-sticky {
            position: <?php echo $sticky_class_attr;?>;
            box-shadow: 0 -16px 26px 5px rgb(0 0 0 / 18%);
            background: <?php echo $sticky_bg_color;?>;
        }
    <?php } ?>
    .walker-wraper.about-wraper{
        background:<?php echo $about_bg_color;?>;
        color:<?php echo $about_text_color;?>;
    }
    .walker-wraper.about-wraper .section-heading{
        color:<?php echo $about_heading_color;?>;
    }
     
     
    .walker-wraper.about-wraper h5.about-title{
        color:<?php echo $about_text_color;?>;
    }
    .walker-wraper.about-wraper a.gridchamp-secondary-button.style-outline-light{
        color:<?php echo $about_text_color;?>;
        border-color: <?php echo $about_text_color;?>;
    }
    .walker-wraper.about-wraper a.gridchamp-secondary-button.style-outline-light:hover{
        color: <?php echo $secondary_color;?>;
    }

    .walker-wraper.footer-copyright-section{
        
        color:<?php echo $copright_text_color?>;
    }
     .walker-wraper.footer-copyright-section:before{
        content: '';
        width: 100%;
        height: 100%;
        position: absolute;
        left: 0;
        top: 0;
        background: <?php echo $copyright_background_color;?>;
        opacity: <?php echo $copyright_background_opacity;?>;
     }
    .walker-wraper.footer-copyright-section a{
        color:<?php echo $copright_text_color?>;
    }
    .walker-wraper.footer-copyright-section a:hover{
        color:<?php echo $secondary_color?>;
    }
    .walkerwp-slider-box a.gridchamp-primary-button{
        color: <?php echo $slider_primary_color;?>;
        background: <?php echo $slider_primary_hover_color;?>;

    }
    .walkerwp-slider-box a.gridchamp-primary-button:hover{
        background:<?php echo $slider_primary_color;?>;
        color: <?php echo $slider_primary_hover_color;?>;
    }
    .walkerwp-slider-box a.gridchamp-secondary-button{
        color: <?php echo $slider_secondary_hover_color;?>;
        background: <?php echo $slider_secondary_color;?>;

    }
    .walkerwp-slider-box a.gridchamp-secondary-button:hover{
        border-color:<?php echo $slider_secondary_hover_color;?>;
        background:<?php echo $slider_secondary_hover_color;?>;
        color: <?php echo $slider_secondary_color;?>;
    }
    .walker-wraper.footer-copyright-section{
        padding-top: <?php echo $footer_space_top;?>px;
        padding-bottom: <?php echo $footer_space_bottom;?>px;
    }
    .walker-wraper.about-wraper{
        padding-top: <?php echo $about_space_top;?>px;
    }
    .walker-wraper.about-wraper.about-layout-1{
        padding-bottom: <?php echo $about_space_bottom;?>px;
    }
    .walker-wraper.service-wraper{
        padding-top: <?php echo $service_space_top;?>px;
        padding-bottom: <?php echo $service_space_bottom;?>px;
    }
    .cta-wraper .cta-box{
        padding-top: <?php echo $cta_space_top;?>px;
        padding-bottom: <?php echo $cta_space_bottom;?>px;
    }
    .walker-wraper.recentblog-wraper{
        padding-top: <?php echo $recentblog_space_top;?>px;
        padding-bottom: <?php echo $recentblog_space_bottom;?>px;
    }
    .walker-wraper.testimonial-wraper{
        padding-top: <?php echo $testimonial_space_top;?>px;
        padding-bottom: <?php echo $testimonial_space_bottom;?>px;
    }
    .walker-wraper.team-wraper,
    .walker-wraper.team-wraper.team-layout-2{
        padding-top: <?php echo $team_space_top;?>px;
        padding-bottom: <?php echo $team_space_bottom;?>px;
    }
    .walker-wraper.portfolio-wraper{
        padding-top: <?php echo $portfolio_space_top;?>px;
        padding-bottom: <?php echo $portfolio_space_bottom;?>px;
    }
    .walker-wraper.features-wraper{
        padding-top: <?php echo $features_space_top;?>px;
        padding-bottom: <?php echo $features_space_bottom;?>px;
    }
    .walker-wraper.faqs-wraper{
        padding-top: <?php echo $faq_space_top;?>px;
        padding-bottom: <?php echo $faq_space_bottom;?>px;
    }
    .walker-wraper.brands-wraper{
        padding-top: <?php echo $brands_space_top;?>px;
        padding-bottom: <?php echo $brands_space_bottom;?>px;
    }
    .walker-wraper.woocommerce-product-section{
        padding-top: <?php echo $products_space_top;?>px;
        padding-bottom: <?php echo $products_space_bottom;?>px;
    }
    .walker-wraper.exta-cta-section{
        padding-top: <?php echo $extra_cta_space_top;?>px;
        padding-bottom: <?php echo $extra_cta_space_bottom;?>px;
    }
    .walker-wraper.counter-wraper{
        padding-top: <?php echo $counter_space_top;?>px;
        padding-bottom: <?php echo $counter_space_bottom;?>px;
        color: <?php echo $counter_text_color;?>;
        background: <?php echo $counter_bg_color;?>;
    }
    .walker-wraper.counter-wraper h1, 
    .walker-wraper.counter-wraper h2{
        color: <?php echo $counter_heading_color;?>;
    }
    .walker-container.counter-list h5{
        color: <?php echo $counter_text_color;?>;
    }
    .walker-wraper.newsletter-section{
        padding-top: <?php echo $newsleter_space_top;?>px;
        padding-bottom: <?php echo $newsleter_space_bottom;?>px;
    }
    .walker-wraper.inner-page-subheader{
        padding-top: <?php echo $inner_subheader_space_top;?>px;
        padding-bottom: <?php echo $inner_subheader_space_bottom;?>px;
    }
    .walker-wraper.pricing-table-section{
        padding-top: <?php echo $pricing_section_space_top;?>px;
        padding-bottom: <?php echo $pricing_section_space_bottom;?>px;
        color:  <?php echo $pricing_section_text_color;?>;
    }
    .inner-page-subheader span.page-header-title{
        font-size:<?php echo $inner_subheader_font_size;?>px;
    }
    .features-layout-three .section-heading,
    .features-layout-three h4.feature-title{
        color: <?php echo $features_heading_color;?>;
    }
    .features-layout-three,
    .features-layout-three .featured-item-list a,
    .features-layout-three p.feature-description, 
    .features-layout-three p.section-subheader{
        color: <?php echo $features_text_color;?>;
    }
    .walker-wraper.features-wraper.features-layout-three:before{
        background: <?php echo $features_bg_color;?>;
    }
    .walker-wraper.brands-wraper h2.section-heading{
        color: <?php echo $brands_heading_color;?>;
    }
    .walker-wraper.brands-wraper{
        color: <?php echo $brands_text_color;?>;
    }
    .walker-wraper.brands-wraper:before{
        background: <?php echo $brands_bg_color;?>;
    }
    .pricing-table-section:before{
        background: <?php echo $pricing_section_bg_color;?>;
    }
    .walker-wraper.pricing-table-section .section-heading{
        color: <?php echo $pricing_section_heading_color;?>;
    }
    .walker-wraper.team-wraper:before {
        background: <?php echo $team_bg_color;?>;
    }
    .walker-wraper.team-wraper,
    .team-layout-2 .walkerwp-teams-box h5.team-position{
        color: <?php echo $team_text_color;?>;
    }
    .team-wraper.team-layout-2 .walkerwp-teams-box h3.team-name,
   .walker-wraper.team-wraper  h2.section-heading{
         color: <?php echo $team_heading_color;?>;
    }
    .team-wraper.team-layout-1 .team-member{
         color: var(--text-color);
    }
    .team-wraper.team-layout-2 .team-member:hover h3.team-name,
    .walker-wraper.team-wraper .team-member:hover{
        color: var(--text-color);
    }
</style>
