<?php if(gridchamp_set_to_premium() && class_exists('woocommerce')){
	if(get_theme_mod('gridchamp_prouduct_status')) {?>
	<div class="walker-wraper woocommerce-product-section">
		<div class="walker-container">
			<div class="walkerwp-grid-12">
				<?php 
					if(esc_attr(get_theme_mod('product_heading_text')) ){
						echo '<h2 class="section-heading text-center">'.esc_attr(get_theme_mod('product_heading_text')).'</h2>';
					}
					if(esc_attr(get_theme_mod('product_desc_text')) ){
						echo '<p class="section-subheader text-center">'.esc_attr(get_theme_mod('product_desc_text')).'</p>';
					}?>
			</div>
			<div class="walkerwp-grid-12">
				<div class="woo-products swiper-container gridchamp-product-slide">
					<div class="swiper-wrapper">
						
							<?php
								if(get_theme_mod('gridchamp_product_post_per_page')){
									$product_per_page = get_theme_mod('gridchamp_product_post_per_page');
								}else{
									$product_per_page=8;
								}
								$args = array(
									'post_type' => 'product',
									'posts_per_page' => $product_per_page,
								);
								$loop = new WP_Query( $args );
								if ( $loop->have_posts() ) {
									while ( $loop->have_posts() ) : $loop->the_post();?>
										<div class="swiper-slide">
											<?php do_action( 'woocommerce_before_shop_loop_item' );?>
											<div class="product-thumb">
												<?php do_action( 'woocommerce_before_shop_loop_item_title' ); ?>
											</div>
											<?php 
											do_action( 'woocommerce_shop_loop_item_title' );
											do_action( 'woocommerce_after_shop_loop_item_title' );
											do_action( 'woocommerce_after_shop_loop_item' );
										echo '</div>';
									endwhile;
								} else {
									echo __( 'No products found','gridchamp' );
								}
								wp_reset_postdata();
							?>
					</div>
				</div>
				<div class="swiper-pagination product-pagination"></div>
			</div>

		</div>
	</div>
	<?php } 
}?>