<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Gridchamp
 */
$footer_bg_img='';
if(get_theme_mod('footer_bg_image')){
	$footer_bg_img = get_theme_mod('footer_bg_image');
}
?>
	<footer id="colophon" class="site-footer" style="background: url('<?php echo esc_url($footer_bg_img);?>') no-repeat">
		<?php gridchamp_footer_widgets(); ?>
		<div class="walker-wraper footer-copyright-section">
			<div class="walker-container">
				<?php do_action('gridchamp_footer_text','gridchamp'); ?>
			</div>
		</div>
	<?php 
	if(gridchamp_set_to_premium()){
		if(get_theme_mod('gridchamp_footer_layout')=='footer-layout-one' || !gridchmap_footer_widgets_status()){
			do_action('gridchamp_scroll_top_icon','gridchamp');
		}
	}
	?>
	</footer><!-- #colophon -->

<?php 

wp_footer(); ?>

</body>
</html>

